Récupérer le statut d'un colis par identifiant
curl --request GET \
--url https://api.papslogistics.com/tasks/fetch-order/{id} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.papslogistics.com/tasks/fetch-order/{id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.papslogistics.com/tasks/fetch-order/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"message": "Success",
"error": "<string>",
"data": {
"_id": "<string>",
"uid": "<string>",
"status": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"quantity": 123,
"value": 123,
"size": "<string>",
"refClient": "<string>"
}
}Tasks
Récupérer le statut d'un colis
GET
/
tasks
/
fetch-order
/
{id}
Récupérer le statut d'un colis par identifiant
Authorizations
Clé API du client, disponible dans son espace personnel Paps.
Path Parameters
Identifiant du colis
Response
200 - application/json
Statut du colis
Code de statut de la réponse
Example:
200
Message associé à la réponse
Example:
"Success"
null en cas de succès. En cas d'erreur métier (codes 400 et 500), contient un message ou un nom d'exception sous forme de chaîne libre.
Statut et informations du colis
Show child attributes
Show child attributes
⌘I